<style>
#admin input, select, textarea {font-size:95%; font-weight:400}
#admin 			{background:#001549}
#admin input  	{background:#000; color:#fff; width:100%; height:40px; padding:10px; margin-bottom:10px; border:1px solid #c0bdbd; border-radius:6px;}
#admin textarea {background:#fff; color:#2a82dc; width:100%; padding:10px; height:80px; margin-bottom:10px; border:1px solid #c0bdbd; border-radius:6px; resize:none}
#admin h1 		{color:#fff; font-size:200%; font-weight:400; text-align:center}
#admin h5 		{color:#fff}
#admin .colums 	{width:50%; float:left}
@media screen and (max-width:640px){#admin .colums{width:100%}}
::-webkit-input-placeholder {color:#2a82dc} ::-moz-placeholder {color:#2a82dc} :-ms-input-placeholder {color:#2a82dc}
</style>

<div id="admin">
	<div class="jp-modal borda">
		<div class="colums" style="background:#000"><img src="<?= PLUGINS ?>forms/img/adm.jpg" alt="ADM" Title="ADM"></div>
		<div class="colums">
			<form id="formAdmin" action="<?= URL_ADM ?>!/login" redir="<?= URL_ADM ?>" method="POST">
				<label><h5 class="mb5 mt30">Usuário</h5></label>
				<input type="text" name="usuario" id="usuario" placeholder="Usuário" required />
				<label><h5 class="mb5">Senha</h5></label>
				<input type="password" name="senha" id="senha" placeholder="Senha" required />
				<div class="mt10"><button type="submit" class="btnm"><i class="fa fa-location-arrow"></i>Enviar</button></div>
			</form>
		</div>	
	</div>	
</div>
<div class="clear"></div>

<script>
	$('#formAdmin').on('submit', function (e) {
		e.preventDefault();
		var dados = new FormData( this ); 
		var action = $(this).attr('action');
		var redir = $(this).attr('redir');
		$.ajax({
			type: "POST",
			dataType: "json",
			url: action,
			data: dados,
			cache: false,
			contentType: false,
			processData: false,
			xhrFields: {
				withCredentials: true
			},
			beforeSend: function() {
				//$('body').block();
			},
			success: function( data ) {
				//$('body').unblock();
				if(data.success == true) {
					$('#formAdmin')[0].reset();
					//swal('Login efetuado com sucesso.', 'Sua página será redirecionada.', "success");
					//setTimeout(function() { document.location = redir }, 2000);
					document.location = redir
				} else {
					swal(data.titulo, data.msg, "error");
				}
				//retornoAjax(data);
			},
			error: function( data ) {
				$('body').unblock();
				swal('Ops!', 'Preencha os campos corretamente.', "error");
			}
		});
	})
</script>



