<div>
    <?php
    if(!$NOTICIAS) { $NOTICIAS = $APP->startApp('noticias'); }
    $limite = 3;
    $secao = 'Publicações'; // Defina a seção como 'Biografia' independentemente dos parâmetros da URL
    $orderBy = (object) array('campo' => 'data', 'ordem' => 'DESC');
    $noticias = $NOTICIAS->getNoticiasNews($limite, $secao, $orderBy);
    if(empty($noticias)) {echo "<p>Nenhuma informação disponível para a seção '$secao'.</p>";} 
    else {foreach ($noticias as $n) {
    ?>
    <div class="col-3">
        <div class="block">
            <a href="pag.php?pg=public/views1&tag=<?= $n->tag ?>">
                <img src="<?= URL_ADM . htmlspecialchars($n->capa->path) . htmlspecialchars($n->capa->arquivo) ?>" title="Imagem" alt="Imagem">
                <div class="text mh150" style="padding:10px">
                    <h6><?= date('d/m/Y', strtotime($n->data)) ?> / <?= htmlspecialchars($n->secao) ?></h6>
                    <h3 class="mt5 mb10"><b><?= limita_caracteres(strip_tags($n->titulo), 40, false) ?></b></h3>
                    <p><?= limita_caracteres(strip_tags($n->subtitulo), 120, false) ?>&nbsp;[<?= $n->contador ?>]</p>
                </div>
            </a>
        </div>  
    </div>  
    <?php } } 
    ?>
</div>
<div class="clear"></div>
<!--<div class="btn"><a href="pag.php?pg=public/list">Ver mais<i class="fa fa fa-arrow-right ml10"></i></a></div>-->
