<?php

function limita_caracteres($texto, $limite, $quebra = true){
	$tamanho = strlen($texto);
    if($tamanho <= $limite){ //Verifica se o tamanho do texto é menor ou igual ao limite
    	$novo_texto = $texto;
    }else{ // Se o tamanho do texto for maior que o limite
    	if($quebra == true){ // Verifica a opção de quebrar o texto
        	$novo_texto = trim(substr($texto, 0, $limite))."...";
        }else{ // Se não, corta $texto na última palavra antes do limite
        	$ultimo_espaco = strrpos(substr($texto, 0, $limite), " "); // Localiza o útlimo espaço antes de $limite
           	$novo_texto = trim(substr($texto, 0, $ultimo_espaco))." ..."; // Corta o $texto até a posição localizada
        }
    }
    echo $novo_texto; // Retorna o valor formatado
}

/* Seções */
function getContato($secao){ GLOBAL $conectaDB;
	$SQL = "SELECT c.* FROM contatos c INNER JOIN contatos_secoes s ON c.secao = s.id WHERE s.nome = '$secao' GROUP BY c.id LIMIT 1";
	$conecta = mysqli_query($conectaDB, $SQL);
	$linha = mysqli_fetch_assoc($conecta);
	if($linha) {
		echo '<div style="align="left" valign="top">'.$linha['texto'].'</div>';
	}
}

function getBloco($secao){ GLOBAL $conectaDB;
	$SQL = "SELECT b.* FROM blocos b INNER JOIN blocos_secoes s ON b.secao = s.id WHERE s.nome = '$secao' GROUP BY b.id LIMIT 1";
	$conecta = mysqli_query($conectaDB, $SQL);
	return $linha = mysqli_fetch_assoc($conecta)['texto'];
}

function getAudios($ID) { GLOBAL $APP;
	$APP->db->where('audio', $ID);
	return $APP->db->ObjectBuilder()->get('audios_arquivos');
}

function getBlocos($secao){ GLOBAL $conectaDB;
	include_once('../site/conecta.php');
	$conecta = mysqli_query($conectaDB, "SELECT * FROM blocos WHERE secao='$secao' ORDER BY id DESC LIMIT 1");
	while ($linha = mysqli_fetch_assoc($conecta)){
	$texto = $linha['texto'];}
	echo '<div style="align="left" valign="top">'.$texto.'</div>';}

function seleciona($banco, $resultado){
	if($banco==$resultado){
		echo ' selected';
	}
return 0;
}

function verificaStatus($flg){
	if($flg == '1'){
		echo 'On';
	} else {
		echo 'Off';
	}
}

function altVerificaStatus($flg){
	if($flg == '1'){
		echo 'Deseja desativar?';
	} else {
		echo 'Deseja ativar?';
	}
}

function mask($val, $mask)
{
 $maskared = '';
 $k = 0;
	 for($i = 0; $i<=strlen($mask)-1; $i++)
	 	{
			 if($mask[$i] == '#')
	 	{
	 	if(isset($val[$k]))
	 		$maskared .= $val[$k++];
		 }
		 else
		 {
		 if(isset($mask[$i]))
			 $maskared .= $mask[$i];
		 }
	 }
	 return $maskared;
}

function geraNumeroProtocolo(){
	$rd = rand(11, 99);
	$protocolo = date('y').substr(date('M'), 0, 1).date('hs').substr(date('D'), 0, 1).$rd;	
	return $protocolo;
}
function quebraTexto($texto, $limite){
	if(strlen($texto) <= $limite){ //Verifica se o tamanho do texto é menor ou igual o tamanho do limite
    	$retorno = $texto;
    }else{// Se o tamanho do texto for maior que o limite
    	$retorno = wordwrap($texto, $limite - 1, "</br>");//Quebra o texto antes de palavras que possam fazer com que a string ultrapasse o limite
    }
    return $retorno;// Retorna o texto quebrado
}
	
/* PAGINAÇÃO */

function limita_consulta($sql, $inicio, $limite, $pag){ GLOBAL $conectaDB;
		if ($pag!=''){
			$inicio = ($pag * $limite)-($limite - 1);
			--$inicio;
		} 
		$conn3 = $sql." LIMIT $inicio, $limite";
		return mysqli_query($conectaDB, $conn3);
}

function monta_paginacao($pag, $total, $limite){
	$prox = $pag + 1;
	$ant = $pag - 1;
	$ultima_pag = ceil($total/$limite);
	$penultima = $ultima_pag - 1;	
	$adjacentes = 2;
  if($ultima_pag > 1){
    return array($prox, $ant, $ultima_pag, $penultima, $adjacentes);
  }
}

function removerAcentos($string, $slug = false) {
  $string = strtolower($string);
  // Código ASCII das vogais
  $ascii['a'] = range(224, 230);
  $ascii['e'] = range(232, 235);
  $ascii['i'] = range(236, 239);
  $ascii['o'] = array_merge(range(242, 246), array(240, 248));
  $ascii['u'] = range(249, 252);
  // Código ASCII dos outros caracteres
  $ascii['b'] = array(223);
  $ascii['c'] = array(231);
  $ascii['d'] = array(208);
  $ascii['n'] = array(241);
  $ascii['y'] = array(253, 255);
  foreach ($ascii as $key=>$item) {
    $acentos = '';
    foreach ($item AS $codigo) $acentos .= chr($codigo);
    $troca[$key] = '/['.$acentos.']/i';
  }
  $string = preg_replace(array_values($troca), array_keys($troca), $string);
  // Slug?
  if ($slug) {
    // Troca tudo que não for letra ou número por um caractere ($slug)
    $string = preg_replace('/[^a-z0-9]/i', $slug, $string);
    // Tira os caracteres ($slug) repetidos
    $string = preg_replace('/' . $slug . '{2,}/i', $slug, $string);
    $string = trim($string, $slug);
  }
  return $string;
}

/* TRATAMENTO DE EXCEÇÕES  */
function converteTitulo($titulo){
	$titulo = str_replace(' ', '-', $titulo);
	$titulo = removerAcentos($titulo, '-');
	return $titulo;
}

function pegaId($id){
	$str = explode('-', $id);
	return $str[0];
}

?>