<?php
$protocolo = $_GET['protocolo'];
$SQL = "SELECT o.*, f.nome as finalidade, s.nome as status FROM ouvidoria o LEFT JOIN ouvidoria_finalidades f ON (f.id = o.finalidade) LEFT JOIN ouvidoria_status s ON (s.id = o.status) WHERE protocolo ='$protocolo'";
$conecta = mysqli_query($conectaDB, $SQL);
$total = mysqli_num_rows($conecta);
$ouvidoria = (object) mysqli_fetch_assoc($conecta);
function getArquivosCodigo($codigo) { GLOBAL $conectaDB;
	$SQL = "SELECT * FROM ouvidoria_arquivos WHERE codigo = '$codigo'";
	$consulta = mysqli_query($conectaDB, $SQL);
	if($consulta->num_rows)	 {
		while($arquivos = mysqli_fetch_assoc($consulta)) {
			$a[] = (object) $arquivos; }
		return $a;
	} else {
		return array();
	}
}
function getDemandas($ID) { GLOBAL $conectaDB;
	$SQL = "SELECT r.*, u.nome as usuario FROM ouvidoria_respostas r LEFT JOIN app_usuarios u ON u.ID = r.usuario WHERE ouvidoria = '$ID'";
	$consulta = mysqli_query($conectaDB, $SQL);
	if($consulta->num_rows)	 {
		while($demanda = mysqli_fetch_assoc($consulta)) {
			$demanda['arquivos'] = getArquivosCodigo($demanda['codigo']);
			$o[] = (object) $demanda; }
		return $o;
	} else {
		return array();
	}
}
if($ouvidoria) {
	$ouvidoria->{'respostas'} = getDemandas($ouvidoria->id);
	$ouvidoria->{'arquivos'} = getArquivosCodigo($ouvidoria->codigo);
}
if($ouvidoria->id) {
?>

<a class="navigation fleft" href="index.php">Principal</a>
<a class="navigation fleft" href="pag.php?pg=ouvidoria/ouvidoria">Ouvidoria</a>
<span class="navigation fleft">Despachos</span>
<a class="navigation fright" href="javascript:history.go(-1)"><i class="btn fa fa-angle-double-left mr5"></i>Voltar</a>
<div class="clear"></div>
<div class="mt10"></div>
<hr>

<div>
	<div class="col-2-4-3-emax">
		<div class="tt3">Ouvidoria Protocolo Aberto</div>
		<hr><br/>	
		<div class="border">
			<p>
				Prezado(a) <span class="upper"><b><?= strlen($ouvidoria->nome) ? $ouvidoria->nome : 'Usuário(a) Anônimo(a)'; ?></b></span><br>
				Em <b><?= date('d/m/Y \à\s H:i', strtotime($ouvidoria->data))." ";?></b>. recebemos seu protocolo. Copie e guarde o código <b>( <?=$protocolo; ?> )</b> para acompanhar o(s) Despacho(s) pelo portal.
			</p>
			<p>Título: <i><b><?=$ouvidoria->titulo; ?></b></i></p>
			<p><i><b><?=$ouvidoria->texto; ?></b></i></p>
			<br>

			<?
			if($ouvidoria->arquivos){
				echo '<p><i><b>Arquivo(s) anexado(s):</b></i></p>';
				foreach($ouvidoria->arquivos as $a) {
					$ext = getExt($a->arquivo);
				?>
				<div class="aside-col" style="display:block-inline; margin-top:3px">
					<a onclick="abreJanela('<?= dirURL(URL_ADM.API.$a->path.$a->arquivo) ?>')">
						<i class="fa fa-hand-o-right"></i>
						<?= explode(' (', $a->arquivo, -1)[0].'.'.$ext ?>
					</a>
				</div>
			<? } } ?>
		</div>
		<br>

		<? if($ouvidoria->respostas) { ?>
			<div class="tta mb10">DESPACHOS</div>
			<br/>
			<div>
				<div class="border">
					<? foreach($ouvidoria->respostas as $r) { ?>	
					<div>
						<p>Despacho em <b><?= date('d/m/Y \à\s H:i', strtotime($r->data))." ";?></b></p>
						<p>Ouvidor: <b><?= $r->usuario; ?></b></p>
						<p><?= nl2br($r->resposta); ?></p>
						<br/>
						<?
						if($r->arquivos){
							echo '<p><i><b>Arquivo(s) anexado(s):</b></i></p>';
							foreach($r->arquivos as $a) {
								$ext = getExt($a->arquivo);
							?>
							<div class="aside-col" style="display:block-inline; margin-top:3px">
								<a onclick="abreJanela('<?= dirURL(URL_ADM.API.$a->path.$a->arquivo) ?>')">
									<i class="fa fa-hand-o-right"></i>
									<?= explode(' (', $a->arquivo, -1)[0].'.'.$ext ?>
								</a>
							</div>
						<? } } ?>
					</div>
					<br/>
					<? } ?>
				</div>	
			</div>	
		<? } ?>
		<br/>	
		<div class="btam">
			<a class="hide_inside" href="javascript:history.go(-1)">
				<i class="btn fa fa-arrow-left mr5 hide_inside" aria-hidden="true"></i>Voltar para Ouvidoria
			</a>
		</div>
		<div class="clear"></div>
	</div>	
	<div class="col-2-4-1-dmin"><? include_once"apis/aside_pag.php";?></div>
</div>
<div class="clear"></div>	
<?php if(mysqli_num_rows($consulta) == '0') { echo "<br />Protocolo em análise."; }  ?>
<? } else { ?><h3>Código de Protocolo não existente.</h3><? } ?>