<a class="navigation fleft" href="index.php">Principal</a>
<a class="navigation fleft" href="pag.php?pg=apis/pesquisas">Mais Pesquisas</a>
<span class="navigation fleft">Pesquisas</span>
<a class="navigation fright" href="javascript:history.go(-1)"><i class="btn fa fa-angle-double-left mr5"></i>Voltar</a>
<div class="clear"></div>
<div class="mt10"></div>
<hr>

<script src="https://cdnjs.cloudflare.com/ajax/libs/canvasjs/1.7.0/canvasjs.js"></script>

<?
IF(!$PESQUISAS) { $PESQUISAS = $APP->startApp('pesquisas'); }
$R = $PESQUISAS->getRelatorio($_GET['pesquisa']);
?>

<div id="pesquisas">
	<div class="col-2-4-3-emax">
		<div class="tta">Pesquisas</div>
		<br/>

		<? if($R->imagem) { ?>
            <img src="<?= URL_ADM.$R->imagem ?>" title="<?= $R->titulo ?>" width="100%" height="auto">
            <br><br>
        <? } ?>
		<div>
			<h1 class="titulo center"><b>Resultados da Pesquisa:</b><br><small><?= $R->titulo ?></small></h1>
			<h5 class="texto"><?= nl2br($R->texto) ?></h5>
			<br>
			<? if($R->data_inicio AND $R->data_final) { ?>
				<h4 class="texto center">
					<b>Resultados obtidos entre os dias <?= date('d/m/Y', strtotime($R->data_inicio)).' e '.date('d/m/Y', strtotime($R->data_final)) ?><br>com um total de <?= $R->total_respostas?> formulários respondidos.</b>
				</h4>
				<br>
			<? } ?>
			<div class="center">
				<a href="pag.php?pg=apis/pesquisas"><button class="btnm center" type="button"><i class="fa fa fa-location-arrow mr10"></i>Voltar para Pesquisas</button></a>
			</div>
			<br>
			<? if(!$R->publico) {
				echo '<h4>Pesquisa privada</h4>';
			} else {
				foreach($R->questoes as $q) { if($q->respostas) {
					?>	
					<div style="background-color: #fff; padding: 20px; border-radius: 10px; border: solid 1px #CCC;">
						<div id="q<?= $q->id ?>" style="height: 370px; width: 100%;"></div>
						<script>
							var chart_<?= $q->id ?> = new CanvasJS.Chart("q<?= $q->id ?>", {
								theme: "light2", // "light1", "light2", "dark1", "dark2"
								exportEnabled: false,
								animationEnabled: true,
								title: {
									text: "<?= $q->titulo ?>",
									fontWeight: "bold",
									fontSize: 25
								},
								subtitles: [{
									//text: "<?= $q->titulo ?>"
								}],
								legend: {
							  		verticalAlign: "bottom",  // "top" , "bottom"
									horizontalAlign: "left"  // "center" , "right"
							    },
								data: [{
									type: "pie",
									startAngle: 25,
									toolTipContent: "<b>{label}</b>: {y} votos",
									showInLegend: "true",
									legendText: "{label}",
									indexLabelFontSize: 16,
									indexLabel: "{label} - {p}%",
									dataPoints: [
									<? foreach($q->respostas as $k => $v) { ?>
										{ y: <?= $v ?>, p: <?= round($v/$R->total_respostas*100) ?>, label: "<?= $k ?>" },
									<? } ?>
									]
								}]
							});
							chart_<?= $q->id ?>.render();
						</script>
					</div> <br>
					<?
				} } ?>
			<? } ?>
		</div>
	</div>
	
	<div class="col-2-4-1-dmin"><? include_once"apis/aside_pag.php";?></div>
	<div class="clear"></div>
	<? include '<?= PLUGINS ?>paginacao/paginacao.php';?>
	<br/>
	<hr>
</div>

